=== debian/control ===
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
Source: sqoop
Section: misc
Priority: extra
Maintainer: Cloudera Inc. <https://issues.cloudera.org>
Build-Depends: debhelper (>= 6), ant, ant-optional, git-core, sed, asciidoc, xmlto
Standards-Version: 3.8.0
Homepage: http://incubator.apache.org/sqoop/

Package:  sqoop
Architecture: all
Depends: bigtop-utils (>= 0.7), hadoop-client, avro-libs, kite, parquet
Description: Tool for easy imports and exports of data sets between databases and HDFS
 Sqoop is a tool that provides the ability to import and export data sets between
 the Hadoop Distributed File System (HDFS) and relational databases.

Package: sqoop-metastore
Architecture: all
Depends: sqoop (= ${source:Version}), adduser
Description: Shared metadata repository for Sqoop.
 This optional package hosts a metadata server for Sqoop clients across a network to use.
