=== debian/rules ===
#!/usr/bin/make -f
export COMPONENT_HASH=402a9c23c82e298072d1b14b8e28188a52f908e4
 SQOOP_VERSION=1.4.7+cdh6.3.2
 SQOOP_PATCHED_VERSION=1.4.7-cdh6.3.2
 SQOOP_BASE_VERSION=1.4.7
 SQOOP_RELEASE=1605554
 CDH_CUSTOMER_PATCH=p0
 CDH_PARCEL_CUSTOM_VERSION=1.4.7+cdh6.3.2-1605554.bionic
#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

patch: patch-stamp
patch-stamp:	
	touch $@

clean:	
	dh_testdir
	dh_testroot
	rm -f *-stamp
	dh_clean
	rm -Rf debian/tmp debian/sqoop
	find debian -name .\*swp -exec rm -f {} \;

build-indep: build-indep-stamp
build-indep-stamp: patch-stamp
	env FULL_VERSION=${SQOOP_PATCHED_VERSION} bash debian/do-component-build
	touch $@

install: install-indep
install-indep:	
	dh_testdir
	dh_testroot
	bash -x debian/install_sqoop.sh \
	  --build-dir=build/sqoop-${SQOOP_PATCHED_VERSION} \
	  --doc-dir=usr/share/doc/sqoop \
	  --conf-dir=/etc/sqoop/conf.dist \
	  --prefix=debian/sqoop \
	  --extra-dir=debian/
	cp debian/sqoop-metastore.sh debian/sqoop-metastore.init 
	dh_install -i

binary-common:	
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installinit
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

binary-arch:
binary: binary-indep
.PHONY: build clean binary-indep binary install-indep binary-arc

override_dh_builddeb:
	dh_builddeb -- -Zgzip

override_dh_strip_nondeterminism:
	# Disable dh_strip_nondeterminism to speed up the build

override_dh_strip:
	dh_strip --no-automatic-dbgsym
